summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorRalph Giles <giles@xiph.org>2003-11-10 13:01:06 +0000
committerRalph Giles <giles@xiph.org>2003-11-10 13:01:06 +0000
commit53b6700bfa66bc4cb34f80184a181286b13cb78d (patch)
treeb5f4eb4006e17e4dbf03b7e8a1a54ae38d944f53 /autogen.sh
parentc4a7f90baa817342c0c8f2aff7a328ae5fe85b18 (diff)
downloadogg-53b6700bfa66bc4cb34f80184a181286b13cb78d.tar.gz
Ugly autotools foo. nodist_HEADERS requires automake 1.6 or later. add
this requirement to AUTOMAKE_OPTIONS and port the corresponding autogen support from libao. git-svn-id: http://svn.xiph.org/trunk/ogg@5549 0101bb08-14d6-0310-b084-bc0e0c8e3800
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh60
1 files changed, 49 insertions, 11 deletions
diff --git a/autogen.sh b/autogen.sh
index ccdc164..a2d3731 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -20,15 +20,53 @@ echo "checking for autoconf... "
DIE=1
}
-echo "checking for automake... "
-(automake --version) < /dev/null > /dev/null 2>&1 || {
+VERSIONGREP="sed -e s/.*[^0-9\.]\([0-9]\.[0-9]\).*/\1/"
+
+# do we need automake?
+if test -r Makefile.am; then
+ AM_NEEDED=`fgrep AUTOMAKE_OPTIONS Makefile.am | $VERSIONGREP`
+ if test -z $AM_NEEDED; then
+ echo -n "checking for automake... "
+ AUTOMAKE=automake
+ ACLOCAL=aclocal
+ if ($AUTOMAKE --version < /dev/null > /dev/null 2>&1); then
+ echo "no"
+ AUTOMAKE=
+ else
+ echo "yes"
+ fi
+ else
+ echo -n "checking for automake $AM_NEEDED or later... "
+ for am in automake-$AM_NEEDED automake$AM_NEEDED automake; do
+ ($am --version < /dev/null > /dev/null 2>&1) || continue
+ ver=`$am --version < /dev/null | head -1 | $VERSIONGREP`
+ if test $ver = $AM_NEEDED; then
+ AUTOMAKE=$am
+ echo $AUTOMAKE
+ break
+ fi
+ done
+ test -z $AUTOMAKE && echo "no"
+ echo -n "checking for aclocal $AM_NEEDED or later... "
+ for ac in aclocal-$AM_NEEDED aclocal$AM_NEEDED aclocal; do
+ ($ac --version < /dev/null > /dev/null 2>&1) || continue
+ ver=`$ac --version < /dev/null | head -1 | $VERSIONGREP`
+ if test $ver = $AM_NEEDED; then
+ ACLOCAL=$ac
+ echo $ACLOCAL
+ break
+ fi
+ done
+ test -z $ACLOCAL && echo "no"
+ fi
+ test -z $AUTOMAKE || test -z $ACLOCAL && {
echo
echo "You must have automake installed to compile $package."
- echo "Download the appropriate package for your system,"
- echo "or get the source from one of the GNU ftp sites"
- echo "listed in http://www.gnu.org/order/ftp.html"
- DIE=1
-}
+ echo "Download the appropriate package for your distribution,"
+ echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
+ exit 1
+ }
+fi
echo -n "checking for libtool... "
for LIBTOOLIZE in libtoolize glibtoolize nope; do
@@ -60,14 +98,14 @@ fi
echo "Generating configuration files for $package, please wait...."
-echo " aclocal $ACLOCAL_FLAGS"
-aclocal $ACLOCAL_FLAGS
+echo " $ACLOCAL $ACLOCAL_FLAGS"
+$ACLOCAL $ACLOCAL_FLAGS
#echo " autoheader"
#autoheader
echo " $LIBTOOLIZE --automake"
$LIBTOOLIZE --automake
-echo " automake --add-missing $AUTOMAKE_FLAGS"
-automake --add-missing $AUTOMAKE_FLAGS
+echo " $AUTOMAKE --add-missing $AUTOMAKE_FLAGS"
+$AUTOMAKE --add-missing $AUTOMAKE_FLAGS
echo " autoconf"
autoconf